Package org.optaplanner.core.impl.constructionheuristic.event

## Class ConstructionHeuristicPhaseLifecycleListenerAdapter<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.constructionheuristic.event.ConstructionHeuristicPhaseLifecycleListenerAdapter<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  All Implemented Interfaces:
    `EventListener`, `ConstructionHeuristicPhaseLifecycleListener<Solution_>`, `SolverLifecycleListener<Solution_>`
  Direct Known Subclasses:
    `AbstractConstructionHeuristicForager`

      public class ConstructionHeuristicPhaseLifecycleListenerAdapter<Solution_>
      extends SolverLifecycleListenerAdapter<Solution_>
      implements ConstructionHeuristicPhaseLifecycleListener<Solution_>

  An adapter for `ConstructionHeuristicPhaseLifecycleListener`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstructionHeuristicPhaseLifecycleListenerAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `phaseEnded​(ConstructionHeuristicPhaseScope<Solution_> phaseScope)` |
    `void` | `phaseStarted​(ConstructionHeuristicPhaseScope<Solution_> phaseScope)` |
    `void` | `stepEnded​(ConstructionHeuristicStepScope<Solution_> stepScope)` |
    `void` | `stepStarted​(ConstructionHeuristicStepScope<Solution_> stepScope)` |

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### ConstructionHeuristicPhaseLifecycleListenerAdapter

          public ConstructionHeuristicPhaseLifecycleListenerAdapter()

  - ### Method Detail

    - #### phaseStarted

          public void phaseStarted​(ConstructionHeuristicPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseStarted` in interface `ConstructionHeuristicPhaseLifecycleListener<Solution_>`

    - #### stepStarted

          public void stepStarted​(ConstructionHeuristicStepScope<Solution_> stepScope)

      Specified by:
        `stepStarted` in interface `ConstructionHeuristicPhaseLifecycleListener<Solution_>`

    - #### stepEnded

          public void stepEnded​(ConstructionHeuristicStepScope<Solution_> stepScope)

      Specified by:
        `stepEnded` in interface `ConstructionHeuristicPhaseLifecycleListener<Solution_>`

    - #### phaseEnded

          public void phaseEnded​(ConstructionHeuristicPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseEnded` in interface `ConstructionHeuristicPhaseLifecycleListener<Solution_>`